# classes/phing/tasks/system/MkdirTask.php

## \MkdirTask
jump to top

Task to create a directory.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Andreas Aderhold, andi@binarycloud.com
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 1248 $

### Properties

`$dir= ''`

directory to create

Details

Type

`integer $mode= '0755'`

Mode to create directory with

Default value `0755` Details

Type
  integer

### Methods

`main( ) :`
create the directory and all parents
Details

throws
  if dir is somehow invalid, or creation failed.

`setDir( $dir ) :`
the directory to create; required.
Parameters

Name | Type | Description
--- | --- | ---
$dir |  |

`setMode( mixed $mode ) :`
Sets mode to create directory with
Parameters

Name | Type | Description
--- | --- | ---
$mode | mixed |

Documentation was generated by DocBlox 0.13.1.